| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Properties | Private Attributes

# IG::Plot2d::GraphPlotItem Class Reference

Representation of a plottable item contained in a graph. This excludes markup markups such as axes, legends, etc. More...

Inheritance diagram for IG::Plot2d::GraphPlotItem:
[legend]
Collaboration diagram for IG::Plot2d::GraphPlotItem:
[legend]

List of all members.

## Public Member Functions
| GraphPlotItem (GraphBase graph)
## Protected Attributes
double | _minX
## Properties
int | Index`[get]`
| Gets index of the current plot item on the Graph.
double | MinX`[get, set]`
| Minimal x co-ordinate of the plotted data.
double | MaxX`[get, set]`
| Maximal x co-ordinate of the plotted data.
double | MinY`[get, set]`
| Minimal y co-ordinate of the plotted data.
double | MaxY`[get, set]`
| Maximal y co-ordinate of the plotted data.
## Private Attributes
double | _maxX
double | _minY
double | _maxY

## Detailed Description

Representation of a plottable item contained in a graph. This excludes markup markups such as axes, legends, etc.

$A Igor Jun09;

## Constructor & Destructor Documentation

IG::Plot2d::GraphPlotItem::GraphPlotItem | ( | GraphBase | graph | ) | `[inline]`

## Member Data Documentation

double IG::Plot2d::GraphPlotItem::_minX`[protected]`

double IG::Plot2d::GraphPlotItem::_maxX`[private]`

double IG::Plot2d::GraphPlotItem::_minY`[private]`

double IG::Plot2d::GraphPlotItem::_maxY`[private]`

## Property Documentation

int IG::Plot2d::GraphPlotItem::Index`[get]`

Gets index of the current plot item on the Graph.

double IG::Plot2d::GraphPlotItem::MinX`[get, set]`

Minimal x co-ordinate of the plotted data.

double IG::Plot2d::GraphPlotItem::MaxX`[get, set]`

Maximal x co-ordinate of the plotted data.

double IG::Plot2d::GraphPlotItem::MinY`[get, set]`

Minimal y co-ordinate of the plotted data.

double IG::Plot2d::GraphPlotItem::MaxY`[get, set]`

Maximal y co-ordinate of the plotted data.

The documentation for this class was generated from the following file:

- GraphPlotItem.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events